GCC 6 and G++6 are available on PPA (personal package archives) with support for C++11 and C++14. Simple-Web-Server is one of those library require G++5 and above.

Install GCC 6 and G++ 6:

sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt-get update
sudo apt-get install gcc-6 g++-6

Check version:

$ gcc-6 -v
$ g++-6 -v

Note that the executable name is “g++-6” and not “g++”

Reference:
http://askubuntu.com/questions/746369/how-can-i-install-and-use-gcc-6-on-xenial

Advertisements